This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 858266

Summary: We should not silently over-mount non-empty directories
Product: [Fedora] Fedora Reporter: Richard W.M. Jones <rjones>
Component: systemdAssignee: systemd-maint
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 18CC: johannbg, lnykryn, lpoetter, metherid, msekleta, notting, plautrba, systemd-maint, vpavlin
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-10-07 18:40:29 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 826015    

Description Richard W.M. Jones 2012-09-18 09:27:42 EDT
Description of problem:

When Fedora is upgraded to Fedora 18, the tmp-on-tmpfs feature
hides the existing contents of /tmp.  When this happened to me,
I had many gigabytes of files here (copies of videos), which
disappeared, but also used up space.

Since the upgrading user might want these files (eg: they know
it's Fedora and they know files don't get deleted until 10 days
are up), I don't think it's a good idea to just delete them.
Possibly they should be moved to another location (/var/tmp?)
Comment 1 Lennart Poettering 2012-09-18 12:57:05 EDT
I think this is actually a problem for all mounts in one way or another, not only /tmp, and also for /tmp not just when tmpfs is used.

I think the right approach is to warn the user in all cases where we over-mount a non-empty directory. I have now changed systemd git (will enter F18 soon) to warn when we over-mount a non-empty directory. It will still continue to over-mount but mention this at LOG_NOTICE level in the logs, and hence hopefully should be noticed by the admin.

http://cgit.freedesktop.org/systemd/systemd/commit/?id=257f1d8ec49046c7b481801acfdd5bf57c9efa5c
Comment 2 Fedora Update System 2012-09-20 15:53:50 EDT
systemd-190-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/systemd-190-1.fc18
Comment 3 Fedora Update System 2012-09-22 02:35:01 EDT
Package systemd-191-2.fc18, rtkit-0.11-3.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing systemd-191-2.fc18 rtkit-0.11-3.fc18'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-14581/rtkit-0.11-3.fc18,systemd-191-2.fc18
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-09-27 20:15:24 EDT
Package glibc-2.16-17.fc18, systemd-192-1.fc18, selinux-policy-3.11.1-23.fc18, rtkit-0.11-3.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing glibc-2.16-17.fc18 systemd-192-1.fc18 selinux-policy-3.11.1-23.fc18 rtkit-0.11-3.fc18'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-14581/selinux-policy-3.11.1-23.fc18,rtkit-0.11-3.fc18,systemd-192-1.fc18,glibc-2.16-17.fc18
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-10-01 16:06:36 EDT
Package glibc-2.16-17.fc18, rtkit-0.11-3.fc18, systemd-193-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing glibc-2.16-17.fc18 rtkit-0.11-3.fc18 systemd-193-1.fc18'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-14581/rtkit-0.11-3.fc18,systemd-193-1.fc18,glibc-2.16-17.fc18
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-10-12 12:47:11 EDT
systemd-44-20.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/systemd-44-20.fc17